com.thinkaurelius.titan.diskstorage.common

## Class DistributedStoreManager.MaskedTimestamp

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.common.DistributedStoreManager.MaskedTimestamp

- Enclosing class:
    DistributedStoreManager

      public class DistributedStoreManager.MaskedTimestamp
      extends Object

  Helper class to create the deletion and addition timestamps for a particular transaction. It needs to be ensured that the deletion time is prior to the addition time since some storage backends use the time to resolve conflicts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedStoreManager.MaskedTimestamp(StoreTransaction txh)`
    `DistributedStoreManager.MaskedTimestamp(Timepoint commitTime)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Timepoint` | `getAdditionTime()`
    `long` | `getAdditionTime(TimeUnit unit)`
    `Timepoint` | `getDeletionTime()`
    `long` | `getDeletionTime(TimeUnit unit)`
    `long` | `getNativeAdditionTime()`
    `long` | `getNativeDeletionTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedStoreManager.MaskedTimestamp

          public DistributedStoreManager.MaskedTimestamp(Timepoint commitTime)

    - #### DistributedStoreManager.MaskedTimestamp

          public DistributedStoreManager.MaskedTimestamp(StoreTransaction txh)

  - ### Method Detail

    - #### getDeletionTime

          public long getDeletionTime(TimeUnit unit)

    - #### getNativeDeletionTime

          public long getNativeDeletionTime()

    - #### getDeletionTime

          public Timepoint getDeletionTime()

    - #### getAdditionTime

          public long getAdditionTime(TimeUnit unit)

    - #### getNativeAdditionTime

          public long getNativeAdditionTime()

    - #### getAdditionTime

          public Timepoint getAdditionTime()

Copyright © 2012–2014. All rights reserved.